Subject: bug#61960: 30.0.50; Unexec build reliably crashes during loadup

From: Konstantin Kharlamov <[email-masked]>
Date: Sat, 04 Mar 2023 23:26:31 +0300

On Sat, 2023-03-04 at 23:05 +0300, Konstantin Kharlamov wrote:
> So, I kind of reproduced the problem… But it doesn't happen reliably.
> 
> I reconfigured the build with the exact flags, ran `make clean` and `make`,
> and
> it did fail with a `free(): invalid pointer`.
> 
> However, entering the `src/` dir and running `./temacs --batch -l loadup --
> temacs=bootstrap` doesn't reproduce crash, it finishes successfully.
> 
> Gotta figure out under what exactly conditions crash happens.

UPD: did find the command that crashes:

	./temacs --__aslr-disabled -batch -l loadup --temacs=dump

I think this command is run internally by `temacs`. I found it by running a bpftrace command alongside the build:

	 sudo bpftrace -e 'tracepoint:syscalls:sys_enter_exec*{ printf("pid: %d, comm: %s, args: ", pid, comm); join(args->argv); }'